#ifndef SEGMENT_FUNCTIONS_H
#define	SEGMENT_FUNCTIONS_H
//------------------------------------------------------------------------------
#include "Segments_Prototypes.h"
#include "../../assets/soft_spi/Soft_SPI.h"
#include "../../assets/74HC595/74HC595.h"
//------------------------------------------------------------------------------
void Segment_init()
{
  SPI_init();
  
  CS0 = 1;     //de-select Shift Registers initially
  CS1 = 1;
}
//------------------------------------------------------------------------------
void Segment_display(signed int number)
{      
  char strNum[10];
  sprintf(strNum,"%4i",number);
  
  for(char pos=0; pos < strlen(strNum); pos++)
  {
    char digit = getDigit(strNum[pos]);
    
    SR_dataSend(digit);
    SR_colSelect(pos);
  }
}
//------------------------------------------------------------------------------
char getDigit(char asciiChar)
{
    char digit = 0;
    
    if(asciiChar >= '0' && asciiChar <= '9')
    {
        char i = asciiChar - '0';
        digit = digits[i];
    }
    else
        if(asciiChar == '-')
        {
            digit = 0xBF;    //0xBF - minus symbol
        }
        else
            if(asciiChar == ' ')
            {
                digit = 0xFF; //0xFF - blank. used for leading zero suppression
            }
    
    return digit;
}
//------------------------------------------------------------------------------
#endif